"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildDefaultContext = exports.defaultConfig = exports.defaultPathFormat = exports.defaultCallbackPosition = void 0;
exports.defaultCallbackPosition = 'preWalk';
const defaultPathFormat = (key, isArr) => isArr ? `[${key}]` : `["${key}"]`;
exports.defaultPathFormat = defaultPathFormat;
exports.defaultConfig = {
    traversalMode: 'depth',
    rootObjectCallbacks: true,
    runCallbacks: true,
    graphMode: 'finiteTree',
    callbacks: []
};
const buildDefaultContext = (config) => ({
    config: Object.assign(Object.assign({}, exports.defaultConfig), config),
    nodes: {},
    seenObjects: [],
    callbacksByPosition: {},
});
exports.buildDefaultContext = buildDefaultContext;
