"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateObjectViaPathString = exports.unique = exports.executionOrderSort = void 0;
function executionOrderSort(a, b) {
    const x = a.executionOrder || 0;
    const y = b.executionOrder || 0;
    return ((x < y) ? -1 : ((x > y) ? 1 : 0));
}
exports.executionOrderSort = executionOrderSort;
function unique(arr) {
    const within = {};
    return arr.filter((x) => {
        if (within[x])
            return;
        within[x] = true;
        return x;
    });
}
exports.unique = unique;
function updateObjectViaPathString(obj, val, path, delimiter) {
    const block = path.split(delimiter).slice(1);
    while (block.length > 1)
        obj = obj[block.shift()];
    obj[block.shift()] = val;
}
exports.updateObjectViaPathString = updateObjectViaPathString;
